import * as ts from 'typescript';
import eachNode from '../eachNode';
import getModuleSpecifier from '../getModuleSpecifier';

/**
 * 遍历improt语句
 * @param sourceFile
 * @param callback
 */
export default function eachImprots(sourceFile: ts.SourceFile, callback: (specifier: string) => void): void {
  for (let i = 0; i < sourceFile.statements.length; i++) {
    eachNode(sourceFile.statements[i], (childNode) => {
      const specifier = getModuleSpecifier(childNode);
      if (specifier) {
        callback(specifier);
      }
    });
  }
}