"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts = require("typescript");
function findJsxElement(node, tagName) {
    if (node.kind !== ts.SyntaxKind.JsxElement && node.kind !== ts.SyntaxKind.JsxSelfClosingElement) {
        return;
    }
    const element = node.kind === ts.SyntaxKind.JsxElement ? node.openingElement : node;
    if (element.tagName.kind !== ts.SyntaxKind.Identifier) {
        return;
    }
    const elementTagName = element.tagName;
    if (elementTagName.text === tagName) {
        return { element, node: node };
    }
}
exports.default = findJsxElement;
