"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const findJsxElement_1 = require("../findJsxElement");
const getJsxElementAttr_1 = require("../getJsxElementAttr");
const getSheetConfig_1 = require("../getSheetConfig");
function getComponentBehavior(node, componentTagName) {
    const element = findJsxElement_1.default(node, componentTagName);
    let data;
    if (element) {
        const tagName = element.element.tagName.text;
        const componentName = getJsxElementAttr_1.default(element.element, 'componentName');
        const sheet = getSheetConfig_1.default[tagName];
        if ((sheet.requiredName && componentName) || sheet.requiredName === false) {
            data = {
                action: sheet.action,
                params: sheet.params,
                componentName: sheet.componentName
            };
            if (componentName) {
                data.componentName = componentName.text;
            }
        }
    }
    return data;
}
exports.default = getComponentBehavior;
