import * as ts from 'typescript';
/**
 * 获取导出的节点
 * @param node 要查找的节点
 */
export default function getExportDefault(sourceFile: ts.SourceFile): ts.ParenthesizedExpression | undefined {
  for (let i = 0; i < sourceFile.statements.length; i++) {
    const node = sourceFile.statements[i];

    if (node.kind === ts.SyntaxKind.ExportAssignment) {
      const exportAssignment = node as ts.ExportAssignment;
      return exportAssignment.expression as ts.ParenthesizedExpression;
    }
  }
}