"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts = require("typescript");
function getExpressionArgs(node, expression, propertyAccess) {
    if (node.kind === ts.SyntaxKind.ExpressionStatement) {
        const callExpression = node.expression;
        if (callExpression.kind === ts.SyntaxKind.CallExpression) {
            const propertyAccessExpression = callExpression.expression;
            if (propertyAccessExpression.kind === ts.SyntaxKind.PropertyAccessExpression) {
                if (propertyAccessExpression.expression.kind === ts.SyntaxKind.Identifier && propertyAccessExpression.name.kind === ts.SyntaxKind.Identifier) {
                    const expressionIdentifier = propertyAccessExpression.expression;
                    const nameIdentifier = propertyAccessExpression.name;
                    if (expressionIdentifier.text === expression && nameIdentifier.text === propertyAccess) {
                        return callExpression.arguments;
                    }
                }
            }
        }
    }
}
exports.default = getExpressionArgs;
