"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts = require("typescript");
function getJsxElementAttr(element, attribute) {
    const properties = element.attributes.properties;
    for (let i = 0; i < properties.length; i++) {
        if (properties[i].kind === ts.SyntaxKind.JsxAttribute) {
            const jsxAttribute = properties[i];
            if (jsxAttribute.name.kind === ts.SyntaxKind.Identifier) {
                const attributeName = jsxAttribute.name.text;
                if (attributeName === attribute) {
                    return jsxAttribute.initializer.expression || jsxAttribute.initializer;
                }
            }
        }
    }
}
exports.default = getJsxElementAttr;
