import * as ts from 'typescript';
import { JsxElementNode } from '../findJsxElement';

/**
 * 获取JsxElement目标属性的值
 * @param node
 */
export default function getJsxElementAttr(element: JsxElementNode['element'], attribute: string): ts.Expression | undefined {
  const properties = element.attributes.properties;

  for (let i = 0; i < properties.length; i++) {
    if (properties[i].kind === ts.SyntaxKind.JsxAttribute) {
      // 找到标签属性
      const jsxAttribute = properties[i] as ts.JsxAttribute;

      if (jsxAttribute.name.kind === ts.SyntaxKind.Identifier) {
        const attributeName = (jsxAttribute.name as ts.Identifier).text;
        // 找到Link组件的to属性
        if (attributeName === attribute) {
          // 返回字符串模板或字符串
          return (jsxAttribute.initializer as ts.JsxExpression).expression || jsxAttribute.initializer;
        }
      }
    }
  }
}