import * as ts from 'typescript';

/**
 * 获取字面量类型的Node的值
 * @param node
 */
export default function getLiteralValue(node: ts.Node): string | undefined {
  if (node.kind === 197) {
    // 字符串模板
    const templateExpression = node as ts.TemplateExpression;
    return templateExpression.head.text;
  } else if (node.kind === 9) {
    // 字符串
    const stringLiteral = node as ts.StringLiteral;
    return stringLiteral.text;
  } else {
    console.log(`node.kind: ${node.kind}值不属于Node参数类型范围`);
  }
}