import * as ts from 'typescript';
/**
 * 获取导入的包名路径
 * @param node 要查找的节点
 */
export default function getModuleSpecifier(node: ts.Node): string | undefined {
  if (node.kind === ts.SyntaxKind.ImportDeclaration) {
    const importDeclaration = node as ts.ImportDeclaration;
    const moduleSpecifier = importDeclaration.moduleSpecifier;

    if (moduleSpecifier.kind === ts.SyntaxKind.StringLiteral) {
      const stringLiteral = moduleSpecifier as ts.StringLiteral;

      return stringLiteral.text;
    }
  }
}