"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts = require("typescript");
function getPageNameInNode(node) {
    if (node.kind === ts.SyntaxKind.PropertyDeclaration) {
        const propertyDeclaration = node.name;
        if (propertyDeclaration.text === 'pageName') {
            const initializer = node.initializer;
            if (initializer && initializer.kind === ts.SyntaxKind.StringLiteral) {
                return initializer.text;
            }
            else {
                console.log('static pageName不是一个字符串', initializer);
            }
        }
    }
    return '';
}
exports.default = getPageNameInNode;
