import * as ts from 'typescript';

/**
 * 获取页面中pageName静态属性
 * @param sourceFile
 */
export default function getPageNameInNode(node: ts.Node): string {
  if (node.kind === ts.SyntaxKind.PropertyDeclaration) {
    const propertyDeclaration = (node as ts.PropertyDeclaration).name as ts.Identifier;

    if (propertyDeclaration.text === 'pageName') {
      const initializer = (node as ts.PropertyDeclaration).initializer;

      if (initializer && initializer.kind === ts.SyntaxKind.StringLiteral) {
        return (initializer as ts.StringLiteral).text;
      } else {
        console.log('static pageName不是一个字符串', initializer);
      }
    }
  }

  return '';
}