"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const findJsxElement_1 = require("../findJsxElement");
const getExpressionArgs_1 = require("../getExpressionArgs");
const getJsxElementAttr_1 = require("../getJsxElementAttr");
const getLiteralValue_1 = require("../getLiteralValue");
function getRoute(statement, statementName, fullpath) {
    if (statement) {
        const route = getLiteralValue_1.default(statement);
        if (!route) {
            console.log(`此路径下${fullpath}，${statementName}获得的路由为空或是一个变量`);
        }
        else {
            return route;
        }
    }
}
function getRouteInNode(node, fullpath) {
    const linkGoStatement = getExpressionArgs_1.default(node, 'Link', 'go');
    if (linkGoStatement) {
        const linkGoRoute = linkGoStatement[0];
        return getRoute(linkGoRoute, 'linkGoStatement', fullpath);
    }
    else {
        const linkToElement = findJsxElement_1.default(node, 'Link');
        if (linkToElement) {
            const linkToStatement = getJsxElementAttr_1.default(linkToElement.element, 'to');
            return getRoute(linkToStatement, 'linkToStatement', fullpath);
        }
    }
}
exports.default = getRouteInNode;
