"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const createSourceFile_1 = require("../createSourceFile");
const eachImprots_1 = require("../eachImprots");
const readImportFile_1 = require("../readImportFile");
function parsePageImport(filePath, specifier, callback) {
    const isScssFile = specifier.indexOf('.scss') >= 0;
    const isNodeModules = specifier.indexOf('.') < 0;
    let data;
    if (isScssFile === false && isNodeModules === false) {
        try {
            const stat = fs.statSync(filePath);
            const pageDir = stat.isFile() ? path.join(filePath, '../') : filePath;
            const modulePath = path.join(pageDir, specifier);
            const result = readImportFile_1.default(modulePath);
            if (result) {
                const { fullpath } = result;
                const sourceFile = createSourceFile_1.default(fullpath);
                data = result.data;
                callback(sourceFile, fullpath);
                eachImprots_1.default(sourceFile, (childSpecifier) => {
                    parsePageImport(modulePath, childSpecifier, callback);
                });
            }
        }
        catch (err) {
            if (data) {
                console.log(err);
            }
        }
    }
}
exports.default = parsePageImport;
