import * as fs from 'fs';
import * as path from 'path';

interface Return {
  /** 文件内容 */
  data: string;
  /** 文件全路径 */
  fullpath: string;
}

/**
 * 读取import的文件内容（会自动添加扩展名）
 * @param filepath 文件路径
 */
export default function readImportFile(filepath: string): Return | undefined {
  // 拓展名
  const extensions = ['./index.tsx', './index.ts', '.tsx', '.ts'];
  // 扩展名命中次数
  let miss = 0;

  for (let i = 0; i < extensions.length; i++) {
    const fullpath = i < 2 ? path.join(filepath, extensions[i]) : path.join(filepath + extensions[i]);
    try {
      const data = fs.readFileSync(fullpath, { encoding: 'utf8' });

      if (data) {
        return {
          data, fullpath
        };
      }
    } catch (err) {
      miss++;
      if (miss === 4) {
        console.log(err);
      }
    }
  }
}