import * as fs from 'fs';
import * as ts from 'typescript';
import * as stringify from 'stringify-object';

/**
 * 写入Log
 * @param filename 文件名
 * @param sourceFile ts.SourceFile
 */
export default function writeLog(filename: string, sourceFile: ts.SourceFile): void {
  try {
    fs.writeFileSync(`./sourcefile/${filename}.log`, stringify(sourceFile.statements), { encoding: 'utf8' });
  } catch (writeErr) {
    console.log(filename, writeErr);
  }
}