import * as yargs from 'yargs';
import createRouter from './router';
import createDir from './dir';
import { componentSass, stateComponent, pureComponent } from './templete';
import 'colors';

export default function(): void {
  const argv = yargs.boolean('state').argv;
  const name = argv.name;
  const state = argv.state;
  const page = argv.page;
  const fileName = name.substr(name.lastIndexOf('/') + 1);
  const writeConente = [{
    writeFileName: '/index.scss',
    writeContent: componentSass()
  }, {
    writeFileName: '/index.tsx',
    writeContent: state ? stateComponent(fileName, 'component') : pureComponent(fileName, 'component')
  }];

  createDir('./src', []);
  createDir('./src/app', []);
  createDir('./src/app/view', []);

  if (page) {
    createDir('./src/app/view/pages', []);
    createDir('./src/app/view/pages/' + page, []);
    createDir(`./src/app/view/pages/${page}/${name}`, writeConente);
  } else {
    createDir('./src/app/view/components', []);
    createDir('./src/app/view/components/' + name, writeConente);
  }

  createRouter('');
  console.log(`${fileName}组件创建成功`.green);
}