"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const file_1 = require("./file");
function createDir(dirpath, fileParams) {
    if (!fs.existsSync(dirpath)) {
        let pathtmp;
        dirpath.split(path.sep).forEach((dirname) => {
            pathtmp = pathtmp ? path.join(pathtmp, dirname) : dirname;
            if (!fs.existsSync(pathtmp)) {
                if (!fs.mkdirSync(pathtmp)) {
                    for (let i = 0; i < fileParams.length; i++) {
                        if (fileParams[i].writeFileName) {
                            file_1.default({
                                filepath: pathtmp,
                                filename: fileParams[i].writeFileName,
                                writeContent: fileParams[i].writeContent
                            }, fileParams[i].readFilePath);
                        }
                    }
                    return true;
                }
            }
        });
    }
}
exports.default = createDir;
function createDirByFilePath(dirpath) {
    const split = dirpath.split(path.sep);
    let finalPath = './';
    for (let i = 0; i < split.length - 1; i++) {
        finalPath += split[i] + '/';
        createDir(finalPath, []);
    }
}
exports.createDirByFilePath = createDirByFilePath;
