"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const yargs_1 = require("yargs");
const fs = require("fs");
const path = require("path");
const program = require("commander");
const page_1 = require("./create/page");
const component_1 = require("./create/component");
const project_1 = require("./create/project");
const router_1 = require("./create/router");
const request_1 = require("./create/request");
const service_1 = require("./create/service");
const behavior_1 = require("./behavior");
const minapp_1 = require("./minapp");
const packageJson = JSON.parse(fs.readFileSync(path.resolve(__dirname, '../package.json'), { encoding: 'utf8' }));
const version = packageJson.version;
program
    .version(version)
    .parse(process.argv);
const command = yargs_1.argv._.join(' ');
switch (command) {
    case 'create project':
        project_1.default();
        break;
    case 'create page':
        page_1.default();
        break;
    case 'create component':
        component_1.default();
        break;
    case 'create request':
        request_1.default();
        break;
    case 'create service':
        service_1.default();
        break;
    case 'create bs':
        behavior_1.default();
        break;
    case 'unzip node_modules':
        break;
    case 'transform router':
        router_1.default('');
        break;
    case 'minapp dev':
        minapp_1.default();
        break;
    default:
        break;
}
