"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const chokidar = require("chokidar");
const dir_1 = require("../create/dir");
const tsx2wxml_1 = require("./tsx2wxml");
const ts2js_1 = require("./ts2js");
const sass2css_1 = require("./sass2css");
function minapp() {
    chokidar.watch('./src', {
        ignored: [/.scss.ts/i, /.d.ts/i]
    }).on('all', (event, path) => {
        const filepath = path.replace('src', '.');
        if (filepath.search(/\.tsx/i) > 0) {
            const tsxFilePath = filepath.replace('.tsx', '');
            tsx2wxml_1.default(tsxFilePath);
        }
        if (filepath.search(/\.ts?$/i) > 0) {
            const tsFilePath = filepath.replace(/.ts?$/i, '');
            ts2js_1.default(tsFilePath);
        }
        if (filepath.search(/\.scss?$/i) > 0) {
            const sassFilePath = filepath.replace('.scss', '');
            sass2css_1.default(sassFilePath);
        }
        if (filepath.search(/\.json/i) > 0) {
            const jsonFilePath = filepath.replace('.json', '');
            dir_1.createDirByFilePath(`./dist/${jsonFilePath}`);
            fs.copyFileSync(path, `./dist/${filepath}`);
        }
    });
}
exports.default = minapp;
