//@ts-ignore
import * as fs from 'fs';
import * as chokidar from 'chokidar';
// @ts-ignore
import { createDirByFilePath } from '../create/dir';
import tsx2wxml from './tsx2wxml';
import ts2js from './ts2js';
import sass2css from './sass2css';

export default function minapp(): void {
  // const appJsonFile = fs.readFileSync('./dist/app.json', { encoding: 'utf8' });
  // const appJson = JSON.parse(appJsonFile);
  // const pages = appJson.pages as string[];

  chokidar.watch('./src', {
    ignored: [/.scss.ts/i, /.d.ts/i]
  }).on('all', (event, path: string) => {
    // console.log(event, path);
    const filepath = path.replace('src', '.');

    if (filepath.search(/\.tsx/i) > 0) {
      const tsxFilePath = filepath.replace('.tsx', '');
      tsx2wxml(tsxFilePath);
    }

    if (filepath.search(/\.ts?$/i) > 0) {
      const tsFilePath = filepath.replace(/.ts?$/i, '');
      ts2js(tsFilePath);
    }

    if (filepath.search(/\.scss?$/i) > 0) {
      const sassFilePath = filepath.replace('.scss', '');
      sass2css(sassFilePath);
    }

    if (filepath.search(/\.json/i) > 0) {
      const jsonFilePath = filepath.replace('.json', '');
      createDirByFilePath(`./dist/${jsonFilePath}`);
      fs.copyFileSync(path, `./dist/${filepath}`);
    }
  });
}