"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const ts = require("typescript");
const path = require("path");
const dir_1 = require("../create/dir");
function ts2js(filePath) {
    const source = fs.readFileSync(`./src/${filePath}.ts`, { encoding: 'utf8' });
    const result = ts.transpileModule(source, {
        compilerOptions: {
            jsx: ts.JsxEmit.React,
            strict: true,
            target: ts.ScriptTarget.ESNext,
            module: ts.ModuleKind.CommonJS,
            esModuleInterop: true,
            allowSyntheticDefaultImports: false,
        }
    });
    dir_1.createDirByFilePath(path.normalize(`./dist/${filePath}`));
    fs.writeFileSync(`./dist/${filePath}.js`, result.outputText, { encoding: 'utf8' });
}
exports.default = ts2js;
