import * as fs from 'fs';
import * as ts from 'typescript';
import * as path from 'path';
import { createDirByFilePath } from '../create/dir';

export default function ts2js(filePath: string): void {
  const source =  fs.readFileSync(`./src/${filePath}.ts`, { encoding: 'utf8' });
  const result = ts.transpileModule(source, {
    compilerOptions: {
      jsx: ts.JsxEmit.React,
      strict: true,
      target: ts.ScriptTarget.ESNext,
      module: ts.ModuleKind.CommonJS,
      esModuleInterop: true,
      allowSyntheticDefaultImports: false,
    }
  });

  createDirByFilePath(path.normalize(`./dist/${filePath}`));
  fs.writeFileSync(`./dist/${filePath}.js`, result.outputText, { encoding: 'utf8' });
}