import * as path from 'path';
import * as fs from 'fs';
import * as unzip from 'unzip';
import * as readline from 'readline';
require('colors');

export default function(zipName: string, rootPath?: string): void {
  const zipPath = path.resolve(__dirname, `../../zip/${zipName}.zip`);
  const stat = fs.statSync(zipPath);
  const startTime = Date.now();
  const totalSize = stat.size;
  let passedLength = 0;

  fs.createReadStream(zipPath)
    .on('data', (chunk) => {
      passedLength += chunk.length;
    })
    .pipe(unzip.Extract({ path: rootPath || '.' }));

  if (zipName !== 'templete') {
    console.log(`正在解压${zipName}`.green);
    setTimeout(function show(): void {
      const percent = Math.ceil((passedLength / totalSize) * 100);
      const size = Math.ceil(passedLength / 1000000);

      readline.cursorTo(process.stdout, 0, 0);
      readline.clearLine(process.stdout, 0);
      process.stdout.write(`已完成: ${size}MB | ${percent}%`.green);
      if (passedLength < totalSize) {
        setTimeout(show, 500);
      } else {
        const endTime = Date.now();
        console.log();
        console.log(`${zipName}解压完成, 共用时: ${(endTime - startTime) / 1000}秒`.green);
      }
    }, 100);
  }
}